import FAQPageContent from './client';
import { getFaqList } from '@/services/server/faq';

export const dynamic = 'force-dynamic';

export const metadata = {
  title: 'الأسئلة الشائعة | FAQ',
  description: 'الأسئلة الشائعة الخاصة بجامعة الجيل الجديد.',
};

export default async function FAQPage() {
  const faqs = await getFaqList();
  return <FAQPageContent faqs={faqs} />;
}
